.cmp-landing-contacts-map {
  @keyframes lp-landing-contacts-map-preview-fade-off {
    0% {
      opacity: 0.99;
    }

    99% {
      opacity: 0;
    }

    100% {
      display: none;
      opacity: 0;
    }
  }

  .map-container {
    position: relative;
    height: 100vh;
    max-height: 350px;

    .lock {
      z-index: 1;
      position: absolute;
      top: 0; bottom: 0;
      left: 0; right: 0;
      opacity: 0;
    }

    .preview-image {
      z-index: 2;
      background-color: #ffffff;
      background-size: 100% 100%;
      background-repeat: no-repeat;
      position: absolute;
      top: 0; bottom: 0;
      left: 0; right: 0;
      overflow: hidden;
    }

    .loaded {
      opacity: 1;

      animation-name: lp-landing-contacts-map-preview-fade-off ;
      animation-duration: 1.5s;
      animation-iteration-count: 1;
      animation-timing-function: cubic-bezier(0.4, 0.0, 0.6, 1);
      animation-fill-mode: forwards;
    }

    .iframe-container {
      z-index: 0;
      position: absolute;
      top: 0; bottom: 0;
      left: 0; right: 0;
      overflow: hidden;

      iframe {
        width: 100%;
        height: 100%;
        border: 0;
      }
    }
  }
}
